Отказ в обслуживании в драйверах azalia и hdaudio в NetBSD

Дата публикации:
04.02.2010
Дата изменения:
04.02.2010
Всего просмотров:
1338
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NetBSD 4.0
NetBSD 5.0
Уязвимые версии: NetBSD 4.0, 5.0

Описание:
Уязвимость позволяет локальному пользователю вызвать отказ в обслуживании системы.

Уязвимость существует из-за ошибки индексирования массива в функции azalia_query_devinfo() в файле src/sys/dev/pci/azalia.c и в функции hdaudio_afg_query_devinfo() в файле src/sys/dev/pci/hdaudio/hdaudio_afg.c. Локальный пользователь может вызвать панику ядра системы.

URL производителя: www.netbsd.org

Решение: Установите исправление сайта производителя.

Ссылки: NetBSD-SA2010-003: azalia(4)/hdaudio(4) negative mixer index panic

или введите имя

CAPTCHA